%global prerelease rc3

Name:           commissaire-client
Version:        0.0.1
Release:        0.4.%{prerelease}%{?dist}
Summary:        CLI for Commissaire
License:        LGPLv2+
URL:            http://github.com/projectatomic/commctl
Source0:        https://github.com/projectatomic/commctl/archive/%{version}%{prerelease}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# For tests
BuildRequires:  python3-coverage
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-flake8

Requires:       python3-setuptools
Requires:       python3-py-bcrypt
Requires:       python3-PyYAML

Provides:       commctl

%description
Command line tools for Commissaire.

%prep
%autosetup -n commctl-%{version}%{prerelease}


%build
%py3_build

%install
%py3_install

%check
# XXX: Issue with the coverage module.
#%{__python3} setup.py nosetests


%files
%license COPYING
%doc README.md
%doc CONTRIBUTORS
%doc MAINTAINERS
%{_bindir}/commctl
%{python3_sitelib}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-0.4.rc3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 06 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1-0.3.rc3
- Switch to python3.
- Move pre-release indicator ('rc3') to Release tag for compliance with
  packaging guidelines.

* Thu Jun 02 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-2
- Add Provides: commctl

* Wed Apr 20 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc3-1
- Update for RC3.

* Wed Apr 20 2016 Matthew Barnes <mbarnes@redhat.com> - 0.0.1rc2-6
- commissaire-hashpass is now 'commctl create passhash'.

* Mon Apr  4 2016 Steve Milner <smilner@redhat.com> - 0.0.1rc2-5
- commctl and commissaire-hash-pass are now their own package.
